Skip to main content
PUT
/
orgs
/
{org_id}
/
k2
/
{kb_id}
/
policies
/
governance-mode
cURL
curl --request PUT \
  --url https://api.timbal.ai/orgs/{org_id}/k2/{kb_id}/policies/governance-mode \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{}

Authorizations

Authorization
string
header
required

Timbal API key. Obtain your API key from the Timbal platform settings. See Authentication for more information.

Path Parameters

org_id
string
required
kb_id
string
required

Body

application/json
governance_mode
enum<string>
required

Per-KB query governance mode.

Available options:
off,
shadow,
enforce

Response

200 - application/json

Updated governance mode

governance_mode
enum<string>
required

Per-KB query governance mode.

Available options:
off,
shadow,
enforce